config/routes.rb
GSN::Application.routes.draw do

  match 'auth/:provider/callback', to: 'services#create', via: [:get, :post]
  match '/groups/create_group', to: 'groups#create_group', via: [:post]
  match 'auth/failure', to: redirect('/'), via: [:get, :post]
  get '/node_attribute/code_image/:id', to: 'node_attribute#code_image'
  resources :node_types 
  resources :node_attributes
  resources :users do
    member do
     get 'show_other_node'
     post 'create_relation'
    end
    collection do
      post 'show'      
    end
  end
  resources :user_identities
  resources :groups
  resources :group_types
  resources :sessions, only: [:new, :create, :destroy]

  match '/home',    to: 'static_pages#home',    via: 'get'
  match '/signup',  to: 'user_identities#new',       via: 'get'
  match '/signin',  to: 'sessions#new',         via: 'get'  
  match '/signout', to: 'sessions#destroy',     via: Rails.env.test? ? 'get' : 'delete'
  match 'confirm_user/:token', to: 'sessions#confirm_user', via: 'get', as: :confirmation

  root  'static_pages#home'

end

app/views/layouts/_footer.html.erb
<footer class="footer">
  <nav>
    <ul>
      <li><%#= link_to "About", about_path %></li>
    </ul>
  </nav>
</footer>

app/views/layouts/_header.html.erb
<header class="navbar navbar-inverse">
  <div class="navbar-inner">
    <div class="container ">
     <div class="pull-left">
      <p>
      <%= link_to "GSN", root_path, id: "logo", class: "remove_overlap" %> 
      </p>     
      
     </div>
      <nav>
        <div class="nav pull-right remove_overlap nav_right_header_link">
          <% if signed_in? %>
            <% oauth_text = "Add another account" %>

                 <div class="dropdown" style="position:relative; display: inline; z-index: 100">
                      <a href="#" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">Profile <b class="caret"></b></a>
                      


                       <ul class="dropdown-menu custom_dropdown-menu" role="menu" aria-labelledby="dropdownMenu" >
  <li><%=link_to "Modify Profile", edit_user_identity_path(current_identity) %></li>
 
  <li class="dropdown-submenu">
    <a tabindex="-1" href="#">Add Group</a>
    <ul class="dropdown-menu">
       <li><%= link_to "Node Attributes", node_attributes_path %></li>
        <li><%= link_to "Node Types", node_types_path %></li>
        <li><%= link_to "Group Types", group_types_path %></li>
    </ul>
  </li>

  <li class="dropdown-submenu">
    <a tabindex="-1" href="#"><%= oauth_text %></a>
    <ul class="dropdown-menu">
        <li><%= link_to "Basic", signup_path, id: "sign_in" %></li>
        <li><%= link_to "Facebook", "/auth/facebook", id: "sign_in" %></li>
        <li><%= link_to "Twitter", "/auth/twitter", id: "sign_in" %></li>
        <li><%= link_to "Linkedin", "/auth/linkedin", id: "sign_in" %></li>
        <li><%= link_to "Google +", "/auth/gplus", id: "sign_in" %></li>
    </ul>
  </li>
  
</ul>








                     </div>
            <span><%= link_to "Graph", user_path(current_user) %></span>
            <span><%= link_to "Sign out", signout_path, method: "delete" %></span>             
            <!-- <li><%#= link_to "Groups", groups_path(identity: current_identity.uuid) %></li> -->

                 
            
            <!--  <li id="fat-menu-group" class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                Add Group<b class="caret"></b>
              </a>
              <ul class="dropdown-menu">
                <li><%#= link_to "Node Attributes", node_attributes_path %></li>              
                <li><%#= link_to "Node Types", node_types_path %></li>              
                <li><%#= link_to "Group Types", group_types_path %></li>              
                   
                <li class="divider"></li>                
              </ul>
            </li> -->


          <% else %>
            <% oauth_text = "Sign up with" %>
            <!-- <li><%#= link_to "Sign in", signin_path %></li>  -->
         
             <li id="fat-menu" class="dropdown pull-left">
                <%= link_to "javascript:void(0)", :class => "btn btn-primary pd_top5 dropdown-toggle", 'data-toggle' => "dropdown"  do%>
                <!-- <a href="#" class="dropdown-toggle" data-toggle="dropdown"> -->
                  <%#= oauth_text %> 
                  Sign in
                  <b class="caret"></b> 
                  <% end %>             
                <!-- </a> -->
                <ul class="dropdown-menu">
                  <li><%= link_to "Basic", signin_path, id: "sign_in" %></li>
                  <li><%= link_to "Facebook", "/auth/facebook", id: "sign_in" %></li>
                  <li><%= link_to "Twitter", "/auth/twitter", id: "sign_in" %></li>
                  <li><%= link_to "Linkedin", "/auth/linkedin", id: "sign_in" %></li>
                  <li><%= link_to "Google +", "/auth/gplus", id: "sign_in" %></li>
                  <li class="divider"></li>                
                </ul>
              </li> 
              <span class="pull-left"><%= link_to "Sign up", signup_path %></span>
            <% end %>








        </div>
      </nav>
    </div>
  </div>
</header>

app/views/layouts/_shim.html.erb
<!--[if lt IE 9]>
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title><%= full_title(yield(:title)) %></title>
    <%= stylesheet_link_tag "application", media: "all",
                                           "data-turbolinks-track" => true %>
    <%= javascript_include_tag "application", "data-turbolinks-track" => true %>
    <%= csrf_meta_tags %>
    <%= render 'layouts/shim' %>
  </head>
  <body>

    <%= render 'layouts/header' %>
    <div id="alert_message_div">
       <%= render "shared/alert_message" %>
    </div>

    <div class="container">

      <div> <%= yield %> </div>
      <%= render 'layouts/footer' %>
      <%#= debug(params) if Rails.env.development? %>
    </div>

  <% if signed_in? %>
    <%= render "/shared/node_modal" %>
    <%= render "/shared/relation_modal" %>
    <%= render "/shared/header_profile_modal" %>
  <% end %>
  </body>
</html>